Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.wm
Class TableBinding

`java.lang.Object
oracle.jbo.client.wm.TableBinding`

public class TableBinding
extends java.lang.Object

Constructor Summary
`TableBinding()` Constructor declaration

Method Summary
`void` | `addSelection(oracle.cabo.ui.beans.table.MultipleSelectionBean selection)` Method declaration
`void` | `addSelection(oracle.cabo.ui.beans.table.SingleSelectionBean selection)` Method declaration
`protected oracle.cabo.ui.data.DataObject[]` | `constructColumnFormats(TwoDDataSource dataSource)` Method declaration
`protected void` | `init()` Method declaration
`protected void` | `setColumnHeader(oracle.cabo.ui.beans.table.TableBean table, TwoDDataSource dataSource)` Method declaration
`void` | `setDataSource(TwoDDataSource ds)` This method lets the user pass the tableBean instance from JSP page
`protected void` | `setFormats(oracle.cabo.ui.beans.table.TableBean table, TwoDDataSource dataSource)` Method declaration
`void` | `setTableBean(oracle.cabo.ui.beans.table.TableBean tb)` This method lets the user pass the tableBean instance from JSP page
`protected void` | `setupColumns(oracle.cabo.ui.beans.table.TableBean table, TwoDDataSource dataSource)` Method declaration
`protected oracle.cabo.ui.MutableUINode` | `setupMultiValueColumn(TableUIDataSource dataSource, int colIndex)` Method declaration
`boolean` | `setupTable()` Method declaration
`void` | `setupTable(oracle.cabo.ui.beans.table.TableBean tb, TwoDDataSource td)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableBinding

    public TableBinding()

  Constructor declaration

Method Detail

### init

    protected void init()

  Method declaration

### setTableBean

    public void setTableBean(oracle.cabo.ui.beans.table.TableBean tb)

  This method lets the user pass the tableBean instance from JSP page

### setDataSource

    public void setDataSource(TwoDDataSource ds)

  This method lets the user pass the tableBean instance from JSP page

### constructColumnFormats

    protected oracle.cabo.ui.data.DataObject[] constructColumnFormats(TwoDDataSource dataSource)

  Method declaration
  Parameters:
    `dataSource` -
  Returns:
    DataObject

### setFormats

    protected void setFormats(oracle.cabo.ui.beans.table.TableBean table,
                              TwoDDataSource dataSource)

  Method declaration
  Parameters:
    `table` -
    `dataSource` -

### setColumnHeader

    protected void setColumnHeader(oracle.cabo.ui.beans.table.TableBean table,
                                   TwoDDataSource dataSource)

  Method declaration
  Parameters:
    `table` -
    `dataSource` -
  Throws:
    `javax.servlet.jsp.JspException`

### setupMultiValueColumn

    protected oracle.cabo.ui.MutableUINode setupMultiValueColumn(TableUIDataSource dataSource,
                                                                 int colIndex)

  Method declaration
  Parameters:
    `dataSource` -
    `colIndex` -
  Returns:
    MutableUINode

### setupColumns

    protected void setupColumns(oracle.cabo.ui.beans.table.TableBean table,
                                TwoDDataSource dataSource)

  Method declaration
  Parameters:
    `table` -
    `dataSource` -
  Throws:
    `javax.servlet.jsp.JspException`

### setupTable

    public boolean setupTable()

  Method declaration
  Returns:
    true on succes

### addSelection

    public void addSelection(oracle.cabo.ui.beans.table.SingleSelectionBean selection)

  Method declaration
  Parameters:
    `selection` -

### addSelection

    public void addSelection(oracle.cabo.ui.beans.table.MultipleSelectionBean selection)

  Method declaration
  Parameters:
    `selection` -

### setupTable

    public void setupTable(oracle.cabo.ui.beans.table.TableBean tb,
                           TwoDDataSource td)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.